"""Return longest word in list of words.

For example::

    >>> find_longest_word(["hi", "hello"])
    5

    >>> find_longest_word(["Balloonicorn", "Hackbright"])
    12

"""


def find_longest_word(words):
    """Return longest word in list of words."""

    # START SOLUTION

    longest = len(words[0])

    for word in words:
        if longest < len(word):
            longest = len(word)

    return longest


def find_longest_word_max(words):
    """Return longest word in list of words.

    For example::

        >>> find_longest_word_max(["hi", "hello"])
        5

        >>> find_longest_word_max(["Balloonicorn", "Hackbright"])
        12
    """

    return max([len(w) for w in words])


def find_longest_word_clever(words):
    """Return longest word in list of words.

    For example::

        >>> find_longest_word_clever(["hi", "hello"])
        5

        >>> find_longest_word_clever(["Balloonicorn", "Hackbright"])
        12
    """

    return len(max(words, key=len))

    # END SOLUTION


if __name__ == '__main__':
    import doctest
    if doctest.testmod().failed == 0:
        print("\n*** ALL TESTS PASSED. YOU'RE THE MAX!\n")
